Scheduled task
API server
https://app.coolify.io/api/v1Update a scheduled task for a service.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the service.
UUID of the scheduled task.
Request Body
application/json
Scheduled task data
TypeScript Definitions
Use the request body type in TypeScript.
The name of the scheduled task.
The command to execute.
The frequency of the scheduled task.
The container where the command should be executed.
The timeout of the scheduled task in seconds.
300value <= 36000Run the command with sh -c in the container. Set it to false for containers without a shell: the command is then split into arguments and run directly, without shell features such as variables, pipes, or redirects.
trueThe flag to indicate if the scheduled task is enabled. An enabled task requires the deploy ability.
trueResponse Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/services/string/scheduled-tasks/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "uuid": "string", "enabled": true, "name": "string", "command": "string", "frequency": "string", "container": "string", "timeout": 0, "use_shell": true, "consecutive_failures": 0, "failing_since": "2019-08-24T14:15:22Z", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}